#!/usr/bin/awk -f

BEGIN {
	if (axis == "")
		axis = "max"
	printf "No.\tTrend\tPlunge\n"
}

/ANISOTROPY OF SUSCEPTIBILITY/ {
	if (match($1, /[A-z0-9\-_]+/))
		id = substr($1, RSTART, RLENGTH)
}

/^Specimen/ {
	K_max_decl = $3
	K_int_decl = $4
	K_min_decl = $5
	getline
	K_max_incl = $3
	K_int_incl = $4
	K_min_incl = $5

	printf("%s\t", id)
	if (axis == "max")
		printf "%g\t%g\n", K_max_decl, K_max_incl
	if (axis == "int")
		printf "%g\t%g\n", K_int_decl, K_int_incl
	if (axis == "min")
		printf "%g\t%g\n", K_min_decl, K_min_incl
}
